#include <iostream>

using namespace std;

struct Node
{
    int data;
    Node *next;
};

int main()
{
    int n, k;
    cin >> n >> k;
    Node* head = new Node;
    cin >> head->data;
    Node* tmp = head;
    for(int i = 0;i<n-1;i++){ //dodajem nove karte u linked listu sa unosa
        tmp->next = new Node;
        cin >> tmp->next->data;
        tmp = tmp->next;
    }
    tmp->next = head; //vezujem posljedni node za prvi tako da spil moze da se presece
    for(int i = 0;i<n+1;i++){ //nalazim odrednjenu kartu
        if(head->data == k){
            cout << head->next->data;
            break;
        }
        head = head->next;
    }
    return 0;

}